Support » Plugin: Responsive Video Light » Errors in console

  • Resolved theMikeD

    (@themiked)



    With this plugin enabled, I am seeing the following in the console:

    [16-Dec-2013 05:33:05 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /Volumes/Clients/Sites/test.ca/_SITE/wp/wp-includes/functions.php on line 3006
    [16-Dec-2013 05:33:05 UTC] PHP Notice:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /Volumes/Clients/Sites/test.ca/_SITE/wp/wp-includes/functions.php on line 3006
    [16-Dec-2013 05:33:05 UTC] PHP Notice:  Undefined index: page in /Volumes/Clients/Sites/MikeDickson.ca/_SITE/wp/wp-content/plugins/responsive-video-light/responsive-video-light.php on line 211

    Disable the plugin, and these go away.

    http://wordpress.org/plugins/responsive-video-light/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author billknechtel

    (@billknechtel)

    Thanks for bringing this up. It’s a bit of a head-scratcher, honestly. The code where that error is being thrown is responsible for plugging in contextual help on the admin screen, and shouldn’t be called anywhere else. On that admin screen, the ‘page’ index is absolutely valid, so I’m not certain why you’re getting an error there.

    That being said, the contextual help is actually sort of vestigial anyway and I’m going to remove in a version that will be released soon.

    The point I’m trying to make, though (in a very circuitous way), is that this may be symptomatic of a larger problem. Keep an eye on your logs for other issues!

    Thanks much!

    Hello!

    I’m getting a similar message when activating the plugin (working with WP 3.8.1):

    Notice: has_cap was executed with an argument that is deprecated since version 2.0! The use rate for user extensions and themes is deprecated. Use instead the roles and capabilities. in /home/mydomainname/public_html/wp-includes/functions.php on line 3006

    I will too keep an eye on the logs, hope this won’t be much!

    Regards,
    Anne-Sophie

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Errors in console’ is closed to new replies.